Bug 1017328 - Empty field on Infinispan Configuration screen throws NPE
Empty field on Infinispan Configuration screen throws NPE
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER6
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 11:52 EDT by Petr Kremensky
Modified: 2013-12-15 11:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:17:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-09 11:52:10 EDT
Description of problem:
 Setting "" string to any of Infinispan Configuration screen input fields ends with NPE and stucked installer.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER5

How reproducible:
 always

Steps to Reproduce:
 1. Run gui installer, use default options until Post-install Configuration screen.
 2. Set to Perform additional post-install configuration and select to Install Infinispan Cache
 3. Put "" to Infinispan Name input field and click on Next button.

Actual results:
Exception in thread "Thread-39" java.lang.NullPointerException
	at com.izforge.izpack.panels.UserInputPanel.readTextField(UserInputPanel.java:2145)
	at com.izforge.izpack.panels.UserInputPanel.readInput(UserInputPanel.java:1370)
	at com.izforge.izpack.panels.UserInputPanel.isValidated(UserInputPanel.java:1231)
	at com.izforge.izpack.installer.IzPanel.panelValidated(IzPanel.java:434)
	at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1664)
	at com.izforge.izpack.installer.InstallerFrame.navigateNext(InstallerFrame.java:1649)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.navigate(InstallerFrame.java:1812)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler.access$100(InstallerFrame.java:1779)
	at com.izforge.izpack.installer.InstallerFrame$NavigationHandler$1.run(InstallerFrame.java:1796)
	at java.lang.Thread.run(Thread.java:724)
and installer will freeze.

Expected results:
 Error dialog is thrown.
Comment 1 Miles Tjandrawidjaja 2013-10-10 09:54:27 EDT
Error message string has bee added.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2
Comment 2 Petr Kremensky 2013-10-17 07:35:51 EDT
Verified on EAP 6.2.0.ER6. Error dialogue is thrown once any of fields is missing.

Note You need to log in before you can comment on or make changes to this bug.